Bug 4517 - Konqueror не открывает HTML в мозилле по правой кнопке мыши, если путь к HTML содержит пробелы
: Konqueror не открывает HTML в мозилле по правой кнопке мыши, если путь к HTML...
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/seamonkey)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
: 4553
:
  Show dependency tree
 
Reported: 2004-06-28 09:44 by
Modified: 2011-03-02 18:36 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-06-28 09:44:03
Konqueror не открывает HTML в мозилле по правой кнопке мыши, если путь к HTML 
содержит пробелы
------- Comment #1 From 2004-06-29 14:44:10 -------
Как это воспроизвести? 
У меня нет никакой мозиллы в Konqueror 
------- Comment #2 From 2004-06-29 18:25:02 -------
У меня есть мозилла в контекстном меню файлов *html, 
по правой кнопке мыши. Если путь к файлу содержит пробелы, 
открыть файл в мозилле через это меню не удается. 
Если нет мозиллы в этом меню, я добавляю через настройку ассоциаций файлов. 
Или я не понял проблемы. 
------- Comment #3 From 2004-06-29 19:10:43 -------
  (In reply to comment #2) 
> У меня есть мозилла в контекстном меню файлов *html,  
> по правой кнопке мыши. 
Значит Вы сами его добавили 
 
> Если путь к файлу содержит пробелы,  
> открыть файл в мозилле через это меню не удается.  
> Если нет мозиллы в этом меню, я добавляю через настройку ассоциаций файлов.  
И заодно напишите правильную команду. 
Поле ввода команды имеет помощь по SHIFT+F1 
 
> Или я не понял проблемы.  
Правильно 
 
------- Comment #4 From 2004-06-29 19:15:14 -------
(In reply to comment #3) 
> > Или я не понял проблемы.   
> Правильно  
Я имел ввиду, что правильно поняли 
 
P.S. 
А можете на Mozilla багу повесить, что в ее menu-файле нет ассоциации с html 
Когда мантейнер ее исправит, можно будет перевесить на него эту багу, 
что из-за неправльного ее menu-файла получается то,  с чего мы начали. 
 
P.P.S 
Когда будете перевешивать на mozilla, проверьте, чтоб я в CC тоже был 
------- Comment #5 From 2004-06-29 19:57:06 -------
Немного уточню. 
Указал в меню разные варианты вызова мозиллы: 
1) mozilla  (так было в начале) 
2) mozilla %u (добавил после просмотра SHIFT-F1, спасибо, кстати, не знал) 
3) mozilla "%u" 
 
Все три варианта (не)работают одинаково: 
 
файл /home/i/1/index.html открывается 
файл /home/i/1\ 1/index.html не открывается 
 
Вместо последнего мозилла открывает индекс директории  
/home/i/1 
 
Что-то я не так делаю... 
 
 
------- Comment #6 From 2004-06-29 20:06:08 -------
Это точно проблема мозиллы? 
В моих менюшках мозилка все-таки есть... 
Может быть, с прошлых конфигов перешла при апдейте. 
 
------- Comment #7 From 2004-06-29 21:33:47 -------
Попробуйте запустить mozilla c Вашим URL в качестве параметра.  
У  (In reply to comment #6) 
> Это точно проблема мозиллы?  
В данный момент - Ваша, пока mozilla по-умолчанию не начнет быть в контекстном 
меню. 

> В моих менюшках мозилка все-таки есть...  
Там много чего есть, но не появляется в контекстном меню. 

> Может быть, с прошлых конфигов перешла при апдейте.  
Вряд ли, ассоциации должны были слететь при переходе на kde3.2 

P.S. 
Будете подключать мантейнера mozilla? 
А то я сейчас расскажу Вам решение и ваш интерес пропадет. 
А баг останется. 
Может по дороге еще что-нибудь обнаружим. 
------- Comment #8 From 2004-06-29 21:54:17 -------
Да, удалил и поставил мозилку -- нет ее в контекстном меню. 
Пошел баг на мозиллу. 
------- Comment #9 From 2004-06-29 22:10:19 -------
А я тем временем попробовал, че-то у меня не получается с пробелами :-) 
Пока буду разбираться. 
------- Comment #10 From 2004-08-16 16:49:25 -------
Собственно KDE не при чем 
------- Comment #11 From 2005-09-02 17:24:37 -------
А что сейчас с этим багом? Мне копать или закрыть?
------- Comment #12 From 2005-09-02 18:11:23 -------
(In reply to comment #11)  
> А что сейчас с этим багом? Мне копать или закрыть?  
Я не помню, вроде была еще одна бага про это же, где legion принимал  
обсуждение.  
Если получиться исправить мозильные скрипты, будет здорово.  
 
------- Comment #13 From 2005-09-02 18:21:46 -------
В том обсуждении был намек на неправильный menu файл с хитрым добавлением "я
знаю как исправить, но если скажу - будет неинтересно" ... Может скажете?:)
------- Comment #14 From 2005-09-02 18:43:20 -------
(In reply to comment #13) 
> В том обсуждении был намек на неправильный menu файл с хитрым добавлением "я 
> знаю как исправить, но если скажу - будет неинтересно" ... Может скажете?:) 
Я вспомнил, то сделано. 
Здесь проблема в обработке аргумента, содержащего пробелы, запускающими 
скриптами. 
 
------- Comment #15 From 2005-09-02 19:20:18 -------
Посмотрел я на эти скрипты... Даже не знаю смогу ли я протащить заэскейпленный
пробел сквозь два шеловских скрипта и кучу шеловских функций, так, чтобы не
сломать обработку других параметров...
------- Comment #16 From 2005-09-03 17:48:46 -------
Мозилка теперь в меню появляется, исправили. 

==============  
https://bugzilla.altlinux.org/show_bug.cgi?id=4553 
legion@altlinux.ru changed: 
           What    |Removed                     |Added 
---------------------------------------------------------------------------- 
             Status|ASSIGNED                    |RESOLVED 
         Resolution|                            |FIXED 

------- Additional Comments From legion@altlinux.ru  2004-08-11 13:35 ------- 
исправлено в 1.7.2 
================= 

С пробелами пока не ясно. 
------- Comment #17 From 2006-09-01 11:35:47 -------
(In reply to comment #5)
> 3) mozilla "%u" 
> файл /home/i/1/index.html открывается 
> файл /home/i/1\ 1/index.html не открывается 
BTW, а не "file://%u"?

PS: mozilla is obsolete!
------- Comment #18 From 2006-09-01 16:43:33 -------
(In reply to comment #17)
> PS: mozilla is obsolete!
Наверное можно на seamonkey всё с mozilla перевесить
------- Comment #19 From 2006-12-17 18:17:31 -------
(In reply to comment #17)
> > 3) mozilla "%u" 
> > файл /home/i/1/index.html открывается 
> > файл /home/i/1\ 1/index.html не открывается 
> BTW, а не "file://%u"?
> PS: mozilla is obsolete!
Кстати, а в seamonkey и ff2 можно не file:///path, а просто /path.  Проверяйте?
------- Comment #20 From 2007-01-18 12:44:10 -------
А что с моей стороны надо сделать?
------- Comment #21 From 2008-03-29 17:11:42 -------
Я так и не понял чего делать, так что делать ничего не буду.
------- Comment #22 From 2008-03-30 11:16:30 -------
ALD 4.0.1,
 проблема та же. Seamonkey не запускается. FireFox нормально.
------- Comment #23 From 2008-03-31 15:12:08 -------
(In reply to comment #21)
> Я так и не понял
Не открываются файлы .html в пути к которым есть пробелы.
Проверить можно из файлового менеджера Konqueror правой кнопкой мыши на файле
.html, в пути к которому есть пробелы.

> чего делать
Исправлять ;-)

------- Comment #24 From 2011-03-01 07:54:04 -------
Доброго времени.
Проблема еще имеет место быть?
------- Comment #25 From 2011-03-02 18:00:58 -------
Нет, в 5.0 проблемы нет. Я уже и забыл.
Спасибо.
------- Comment #26 From 2011-03-02 18:36:42 -------
Тогда закрываю.